### 8.151 `LOC` — Returns the address of a variable

Description:
  `LOC(X)` returns the address of X as an integer.
Standard:
  GNU extension
Class:
  Inquiry function
Syntax:
  `RESULT = LOC(X)`
Arguments:

  X | Variable of any type.

Return value:
  The return value is of type `INTEGER`, with a `KIND` corresponding to the size (in bytes) of a memory address on the target machine.
Example:

                program test_loc
                  integer :: i
                  real :: r
                  i = loc(r)
                  print *, i
                end program test_loc